package com.ruoyi.szxc.service;

import com.ruoyi.szxc.domain.SzxcWishManage;

import java.util.List;
import java.util.Map;

/**
 * 心愿管理Service接口
 * 
 * @author hs
 * @date 2024-04-03
 */
public interface ISzxcWishManageService 
{
    /**
     * 查询心愿管理
     * 
     * @param id 心愿管理主键
     * @return 心愿管理
     */
    public SzxcWishManage selectSzxcWishManageById(Long id);

    /**
     * 查询心愿管理列表
     * 
     * @param szxcWishManage 心愿管理
     * @return 心愿管理集合
     */
    public List<SzxcWishManage> selectSzxcWishManageList(SzxcWishManage szxcWishManage);

    /**
     * 新增心愿管理
     * 
     * @param szxcWishManage 心愿管理
     * @return 结果
     */
    public int insertSzxcWishManage(SzxcWishManage szxcWishManage);

    /**
     * 修改心愿管理
     * 
     * @param szxcWishManage 心愿管理
     * @return 结果
     */
    public int updateSzxcWishManage(SzxcWishManage szxcWishManage);

    /**
     * 批量删除心愿管理
     * 
     * @param ids 需要删除的心愿管理主键集合
     * @return 结果
     */
    public int deleteSzxcWishManageByIds(Long[] ids);

    /**
     * 删除心愿管理信息
     * 
     * @param id 心愿管理主键
     * @return 结果
     */
    public int deleteSzxcWishManageById(Long id);

    List<Map<String, Object>> getWishData();
}
